GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Static Public Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service Class Reference
Inheritance diagram for eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service:

## Public Member Functions
| ParcelShopSearch_Service (URL wsdlLocation)
| ParcelShopSearch_Service (URL wsdlLocation, QName serviceName)
| ParcelShopSearch_Service ()
| ParcelShopSearch_Service (WebServiceFeature ... features)
| ParcelShopSearch_Service (URL wsdlLocation, WebServiceFeature ... features)
| ParcelShopSearch_Service (URL wsdlLocation, QName serviceName, WebServiceFeature ... features)
ParcelShopSearch | getParcelShopSearch ()
ParcelShopSearch | getParcelShopSearch (WebServiceFeature... features)

## Static Public Attributes
static final URL | WSDL_LOCATION
static final QName | SERVICE = new QName("http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/", "ParcelShopSearch")
static final QName | ParcelShopSearch = new QName("http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/", "ParcelShopSearch")

## Detailed Description

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 18 of file ParcelShopSearch_Service.java.

## Constructor & Destructor Documentation

## ◆ ParcelShopSearch_Service() [1/6]

eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.ParcelShopSearch_Service | ( | URL | wsdlLocation | ) |

Definition at line 37 of file ParcelShopSearch_Service.java.

## ◆ ParcelShopSearch_Service() [2/6]

eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.ParcelShopSearch_Service | ( | URL | wsdlLocation,
|  | QName | serviceName
| ) |  |

Definition at line 41 of file ParcelShopSearch_Service.java.

## ◆ ParcelShopSearch_Service() [3/6]

eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.ParcelShopSearch_Service | ( |  | ) |

Definition at line 45 of file ParcelShopSearch_Service.java.

## ◆ ParcelShopSearch_Service() [4/6]

eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.ParcelShopSearch_Service | ( | WebServiceFeature ... | features | ) |

Definition at line 49 of file ParcelShopSearch_Service.java.

## ◆ ParcelShopSearch_Service() [5/6]

eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.ParcelShopSearch_Service | ( | URL | wsdlLocation,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 53 of file ParcelShopSearch_Service.java.

## ◆ ParcelShopSearch_Service() [6/6]

eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.ParcelShopSearch_Service | ( | URL | wsdlLocation,
|  | QName | serviceName,
|  | WebServiceFeature ... | features
| ) |  |

Definition at line 57 of file ParcelShopSearch_Service.java.

## Member Function Documentation

## ◆ getParcelShopSearch() [1/2]

ParcelShopSearch eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.getParcelShopSearch | ( |  | ) |

Returns
  returns ParcelShopSearch

Definition at line 70 of file ParcelShopSearch_Service.java.

## ◆ getParcelShopSearch() [2/2]

ParcelShopSearch eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.getParcelShopSearch | ( | WebServiceFeature... | features | ) |

Parameters

  features | A list of javax.xml.ws.WebServiceFeature to configure on the proxy. Supported features not in the `features` parameter will have their default values.

Returns
  returns ParcelShopSearch

Definition at line 82 of file ParcelShopSearch_Service.java.

## Member Data Documentation

## ◆ ParcelShopSearch

final QName eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.ParcelShopSearch = new QName("http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/", "ParcelShopSearch")
| static

Definition at line 23 of file ParcelShopSearch_Service.java.

## ◆ SERVICE

final QName eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.SERVICE = new QName("http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/", "ParcelShopSearch")
| static

Definition at line 22 of file ParcelShopSearch_Service.java.

## ◆ WSDL_LOCATION

final URL eu.glsgroup.ws.parcelshopsearch.ParcelShopSearch_Service.WSDL_LOCATION
| static

Definition at line 20 of file ParcelShopSearch_Service.java.

The documentation for this class was generated from the following file:

- ParcelShopSearch_Service.java